# Scripts

This folder contains scripts to assist with starting the YOUnite stack locally.

See https://younite.us/resources/Quick-Start-Local.html for full requirements and documentation. 

## Requirements

The following executables must be on the path:

1. Docker with Docker Compose 2.x plugin
2. curl
3. aws (must be version 2!)
4. python3

## Running the YOUnite stack locally

For Windows command prompt (or Powershell), use the script ending in ".cmd". For bash, use the script ending in ".sh".

The scripts must be executed from this folder. Current Docker Compose files will be downloaded into this folder
on each call to a start script.

In addition to starting the stack, the start scripts remove all running containers to ensure there are no conflicts and
check to ensure that the YOUnite API and YOUnite Notification Service (if used) are running before the script exits.

## Running the biz demo locally

After the YOUnite stack has started, the biz demo can be started with the start-biz-demo script.

This will download the latest configuration files and start the demo by calling a python script. 

For the script to work, python3 must be on the path!

### Scripts

- stop : Stops and removes all running docker containers

- start : Starts the full stack 

- start-minimal : Starts the minimal stack

- start-notifications : Starts the minimal stack w/ notifications

- start-biz-demo : Start the biz demo

## Troubleshooting

1. Make sure docker is running
2. Clean up your docker environment: `docker system prune` and `docker volume prune`
3. Make sure docker has enough memory. See https://younite.us/resources/Quick-Start-Local.html
4. Read the troubleshooting guides in https://younite.us/resources/Quick-Start-Local.html and https://younite.us/resources/Biz-Local-Demo.html