@ECHO OFF

REM
REM start the full YOUnite stack
REM

echo creating the younite network...
docker network create younite > nul 2> nul

echo setting hostname used to access docker containers...
if not defined YOUNITE_HOSTNAME (
    set YOUNITE_HOSTNAME=local.younite.org
)
echo YOUNITE_HOSTNAME defined as %YOUNITE_HOSTNAME%

echo determining host IP address...
>ip.tmp docker run --rm busybox sh -c "ping -c1 host.docker.internal | sed -nE 's/^PING[^(]+\(([^)]+)\).*/\1/p'"
set /p HOST_IP=<ip.tmp
echo HOST_IP is %HOST_IP%
del ip.tmp

echo downloading Docker Compose files...
curl https://younite.us/attachments/docker-compose.yml --output docker-compose.yml
curl https://younite.us/attachments/docker-compose-notifications.yml --output docker-compose-notifications.yml

echo logging into ECR...
aws ecr get-login-password --region us-west-2 | docker login --username AWS --password-stdin 160909222919.dkr.ecr.us-west-2.amazonaws.com

call stop.cmd

echo pulling latest images...
docker compose -f docker-compose-notifications.yml pull

echo starting the stack...
docker compose -f docker-compose-notifications.yml up -d younite-db younite-mb younite-api younite-keycloak younite-notification-service-db younite-notification-service younite-data-virtualization-service

echo sleeping for 60 seconds...
timeout 60

call wait-for-api.cmd younite-api http://localhost:8080/health UP || goto end
call wait-for-api.cmd younite-notification-service http://localhost:8082/actuator/health UP || goto end
call wait-for-api.cmd younite-data-virtualization-service http://localhost:8084/actuator/health UP || goto end

call wait-for-ready.cmd younite-api "Started listener for AR-Data" || goto end
call wait-for-ready.cmd younite-notification-service "Started listener for Notification-Data" || goto end
call wait-for-ready.cmd younite-data-virtualization-service "Started listener for AR-Assembly" || goto end

docker compose -f docker-compose-notifications.yml up -d younite-ui

echo SUCCESS! The stack is ready to go.

:end
