@ECHO OFF

REM
REM this script waits for a container to start by checking an API for a string
REM usage: wait-for-api.cmd (container name) (health endpoint url) (string to find)
REM
REM between attempts to check the health endpoint url, it will check to see
REM if the docker container is running. if the container has stopped, it
REM will output the log entries
REM

docker ps | findstr %1 1>NUL || goto noapi

goto first

:repeat

docker ps | findstr %1 1>NUL || goto noapi

echo %1 did not respond...
timeout 30 /nobreak

:first

echo checking %1 at %2
curl -k -m 10 -s %2 | findstr %3 1>NUL || goto repeat

echo.
echo SUCCESS! %1 was started successfully!
exit /b 0

:noapi

docker ps -a | findstr %1 1>NUL || goto notstarted

echo.
echo ERROR - the %1 container has stopped unexpectedly
echo.
echo press a key to see the log entries, which may contain information
echo as to why the service stopped. this information could help debug the problem.

pause

docker logs %1

exit /b -1

:notstarted

echo.
echo ERROR - the %1 container was not started, which should not have happened (problem with the docker-compose file?)

exit /b -1
