@ECHO OFF

REM
REM this script waits for a container to be "ready" by searching for
REM text in the logs of the container
REM usage: wait-for-ready.cmd (container name) (text to find)
REM
REM between attempts to check the logs, it will check to see
REM if the docker container is running. if the container has stopped, it
REM will output the log entries.
REM

docker ps | findstr %1 1>NUL || goto noapi

goto first

:repeat

docker ps | findstr %1 1>NUL || goto noapi

echo.
echo %1 is not yet ready...
timeout 30 /nobreak

:first

echo.
echo checking to see if %1 is ready
docker logs %1 | findstr /c:%2 1>NUL || goto repeat

echo.
echo SUCCESS! %1 is ready!
exit /b 0

:noapi

docker ps -a | findstr %1 1>NUL || goto notstarted

echo.
echo ERROR - the %1 container has stopped unexpectedly
echo.
echo press a key to see the log entries, which may contain information
echo as to why the service stopped. this information could help debug the problem.

pause

docker logs %1

exit /b -1

:notstarted

echo.
echo ERROR - the %1 container was not started, which should not have happened (problem with the docker-compose file?)

exit /b -1
